<?php 
    $wp_customize->add_section(
        'process_area',
        array(
            'title' => __( 'Process Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'process_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'process_area_disable',
            array(
                'settings'      => 'process_area_disable',
                'section'       => 'process_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'processus', 'process_area', $color='#0F1C1D', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'processarea_padding', 'process_area', 'Section Padding');

$wp_customize->add_setting(
    'process_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'process_areaTpadding',
    array(
        'settings'      => 'process_areaTpadding',
        'section'       => 'process_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'process_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'process_areaBpadding',
    array(
        'settings'      => 'process_areaBpadding',
        'section'       => 'process_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'processarea_conwidth', 'process_area', 'Section Width ');

$wp_customize->add_setting('process_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'process_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'process_area', // Replace with your actual section ID
    'settings' => 'process_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );




lzCustomLable($wp_customize, 'processarea_rightclr', 'process_area', 'Section Sub Heading & Heading ');

lzCustomLable($wp_customize, 'processarea_subheadingcase', 'process_area', 'Sub Heading Style');

$wp_customize->add_setting('process_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'process_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'process_area', // Replace with your actual section ID
    'settings' => 'process_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

$wp_customize->add_setting(
    'process_subtitl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'strategic flow', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'process_subtitl',
    array(
        'settings'      => 'process_subtitl',
        'section'       => 'process_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'process_subtitleclr', 'process_area', 'Sub Heading Color ', '#fff');

addColorPalatOption($wp_customize, 'process_subtitlebgclr', 'process_area', 'Sub Heading Border Color ', '#fff');


lzCustomLable($wp_customize, 'processarea_headingcase', 'process_area', 'Heading Style');

$wp_customize->add_setting('process_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'process_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'process_area', // Replace with your actual section ID
    'settings' => 'process_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );



$wp_customize->add_setting(
    'process_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our process', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'process_title',
    array(
        'settings'      => 'process_title',
        'section'       => 'process_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'process_titleclr', 'process_area', 'Heading Color ', '#fff');

$wp_customize->add_setting(
    'process_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "We started with a simple mission — to create meaningful solutions that empower people and drive change. ", 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'process_txt',
    array(
        'settings'      => 'process_txt',
        'section'       => 'process_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'process_txtclr', 'process_area', 'Text Color ', '#fff');

lzCustomLable($wp_customize, 'process_lhsimag', 'process_area', 'Section Left Side Image');

$wp_customize->add_setting(
    'proces_imglh',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'proces_imglh',
        array(
            'section' => 'process_area',
            'settings' => 'proces_imglh',
            'description' => __('Recommended Image Size: 300X580', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting('process_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'process_npp_heading',
        array(
            'settings'      => 'process_npp_heading',
            'section'       => 'process_area',
            'label'         => __( 'Number Of List To Show', 'Luzuk Premium' ),
        )
    )
);    

$wp_customize->add_setting('process_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 4));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'process_npp_count', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'process_area', // Replace with your actual section ID
        'settings' => 'process_npp_count',
        'choices'=>array(1,2,3,4,5)
    ) ) );

//processD PAGES
for( $i = 1; $i <= 5; $i++ ){
    $wp_customize->add_setting(
        'process_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'process_header'.$i,
            array(
                'settings'      => 'process_header'.$i,
                'section'       => 'process_area',
                'label'         => __( 'List Number ', 'Luzuk Premium' ).$i
            )
        )
    );

        $wp_customize->add_setting(
        'process_page_icon'.$i,
        array(
            'default'           => 'fa fa-comments-o',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'process_page_icon'.$i,
            array(
                'settings'      => 'process_page_icon'.$i,
                'section'       => 'process_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'process_page_title'.$i, 'process_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Discovery Call');

 lzAddElement($wp_customize, 'process_page_txt'.$i, 'process_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='We begin by understanding your goals, challenges, and vision through a collaborative consultation.');

// lzAddElement($wp_customize, 'processprocessd_page_url_'.$i, 'process_area', $type = 'text', $label="Add Page Link", $callback ='esc_url', $default='Add link here');
    
}

lzCustomLable($wp_customize, 'processsec_clr', 'process_area' , 'Right Side Color');

addColorPalatOption($wp_customize, 'processdec_bxbgclr', 'process_area', 'Box BG Color', '#EBF5F5');

addColorPalatOption($wp_customize, 'processdec_icnclr', 'process_area', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'processdec_tlteclr', 'process_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'processdec_txtclr', 'process_area', 'Text Color', '#000');

